Package org.eclipse.m2m.atl.emftvm.util

## Class SingletonModuleResolverFactory

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.SingletonModuleResolverFactory

All Implemented Interfaces:
  `ModuleResolverFactory`

    public class SingletonModuleResolverFactory
    extends java.lang.Object
    implements ModuleResolverFactory

Returns a singleton `ModuleResolver` instance.

### Constructor Summary

Constructors
`SingletonModuleResolverFactory​(ModuleResolver moduleResolver)` Creates a new `SingletonModuleResolverFactory`.

### Method Summary

All Methods Instance Methods Concrete Methods
`ModuleResolver` `createModuleResolver()` Returns a new `ModuleResolver`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingletonModuleResolverFactory

    public SingletonModuleResolverFactory​(ModuleResolver moduleResolver)

Creates a new `SingletonModuleResolverFactory`.

Parameters:
  `moduleResolver` - the `ModuleResolver` to return on `createModuleResolver()`

### Method Detail

#### createModuleResolver

    public ModuleResolver createModuleResolver()

Returns a new `ModuleResolver`.

Specified by:
  `createModuleResolver` in interface `ModuleResolverFactory`
Returns:
  a new `ModuleResolver`